Skip to main content
GET
/
sites
List all sites
curl --request GET \
  --url https://api.flatpeak.com/sites \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "url": "/sites",
  "has_more": true,
  "data": [
    {
      "id": "ste_641b90b758fb8e6293716e40",
      "object": "site",
      "live_mode": true,
      "status": "ACTIVE",
      "devices": [
        {
          "id": "dev_63a6087272941ef077a8fd3e",
          "manufacturer": "Nova Systems",
          "model_code": "PICOXN2",
          "model_name": "Pico Ultimate",
          "time_created": "2022-01-24T14:15:22Z",
          "properties": {
            "power_rating_import_kwh": 14.2,
            "capacity_kwh": 123,
            "power_rating_export_kwh": 7
          },
          "last_seen": "2022-03-22T11:12:21Z"
        }
      ],
      "time_created": "2026-02-12T10:00:00Z",
      "account_id": "acc_661677911f2197045e6cf1b1"
    }
  ]
}

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Query Parameters

reference_id
string

A reference that is meaningful to you, for example, an ID from your system.

starting_after
string

Specifies a cursor for pagination use; defines the place in the list. To retrieve the next page in the list include starting_after where ID is the last ID in the currently retrieved list.

limit
integer

A limit on the number of objects to be returned. Can range between 1 and 100, and the default is 30.

ending_before
string

Specifies a cursor for pagination use; defines the place in the list. To retrieve the previous page in the list, include ending_before, which is the first ID in the currently retrieved list.

Response

Example response

object
string
required

Represents the object’s type. i.e. list.

Example:

"list"

url
string
required

Represents the URL slug for the object.

Example:

"/sites"

has_more
boolean
required

Is set to true if more objects are available.

data
Site · object[]
required